#include "DBDPlayerControllerBase.h"
#include "PlayerSavedProfileDataShared.h"
#include "PlayerLoadoutData.h"
#include "EndGameInfo.h"
#include "Net/UnrealNetwork.h"

void ADBDPlayerControllerBase::Server_UpdateReplicatedPips_Implementation(int32 pipsToAdd)
{

}

void ADBDPlayerControllerBase::Server_SetPlayerCard_Implementation(const FString& badgeId, const FString& bannerId)
{

}

void ADBDPlayerControllerBase::Server_SetConsecutiveMatchStreak_Implementation(int32 consecutiveMatch)
{

}

void ADBDPlayerControllerBase::Server_SendMessage_Implementation(const FString& message)
{

}

void ADBDPlayerControllerBase::Server_SendClientAuthentication_Implementation(const FString& authClientTicket, uint64 steamID, uint32 ticketLength)
{

}

void ADBDPlayerControllerBase::Server_ReceivePlayerProfile_Implementation(FPlayerSavedProfileDataShared savedProfileData, FPlayerLoadoutData playerLoadout)
{

}

void ADBDPlayerControllerBase::Server_EACMessageFromClient_Implementation(const TArray<uint8>& message)
{

}

void ADBDPlayerControllerBase::Server_CallConsoleCmdOnServer_Implementation(const FString& commandLine)
{

}

bool ADBDPlayerControllerBase::Server_CallConsoleCmdOnServer_Validate(const FString& commandLine)
{
	return true;
}

void ADBDPlayerControllerBase::Server(const FString& commandLine)
{

}

void ADBDPlayerControllerBase::DBD_UpdateLocalStats()
{

}

void ADBDPlayerControllerBase::DBD_SetCurrentCharacterPrestigeDatesPast()
{

}

void ADBDPlayerControllerBase::DBD_SetCurrentCharacterPrestigeDatesNow()
{

}

void ADBDPlayerControllerBase::DBD_SetCurrentCharacterPrestigeDatesFuture()
{

}

void ADBDPlayerControllerBase::DBD_FireTestScore(int32 category, float value)
{

}

void ADBDPlayerControllerBase::DBD_FillScoreCategory(int32 category)
{

}

void ADBDPlayerControllerBase::DBD_FillAllScoreCategories()
{

}

void ADBDPlayerControllerBase::DBD_DebugSendChatMessage(const FString& msg)
{

}

void ADBDPlayerControllerBase::DBD_BuildFromTile(int32 matrixX, int32 matrixY, int32 rotation, const FString& name)
{

}

void ADBDPlayerControllerBase::DBD_BuildFromSeed(int32 seed)
{

}

void ADBDPlayerControllerBase::DBD_BuildFromPlayerCount(int32 count)
{

}

void ADBDPlayerControllerBase::DBD_BuildFromMap(const FString& map)
{

}

void ADBDPlayerControllerBase::Client_SendWarning_Implementation(bool penaltyStarts, float seconds)
{

}

void ADBDPlayerControllerBase::Client_SendServerAuthentication_Implementation(const FString& authServerTicket, uint64 steamID, uint32 ticketLength)
{

}

void ADBDPlayerControllerBase::Client_SendLogs_Implementation(const TArray<FString>& ensures)
{

}

void ADBDPlayerControllerBase::Client_RequestPlayerProfile_Implementation()
{

}

void ADBDPlayerControllerBase::Client_GameEnded_Implementation(const FEndGameInfo& info)
{

}

void ADBDPlayerControllerBase::Client_FinishedPlaying_Implementation(const FEndGameInfo& info)
{

}

void ADBDPlayerControllerBase::Client_EACMessageFromServer_Implementation(const TArray<uint8>& message)
{

}

void ADBDPlayerControllerBase::Client_EACDestroySession_Implementation()
{

}

void ADBDPlayerControllerBase::Client_EACBeginSession_Implementation()
{

}

void ADBDPlayerControllerBase::Client_DisplayChatMessage_Implementation(const FString& chatIdentifier, int32 playerIndex, const FString& mirrorsId, const FString& msg)
{

}

void ADBDPlayerControllerBase::Client_CallConsoleCmdOnClient_Implementation(const FString& commandLine)
{

}

bool ADBDPlayerControllerBase::Client_CallConsoleCmdOnClient_Validate(const FString& commandLine)
{
	return true;
}

void ADBDPlayerControllerBase::Client(const FString& commandLine)
{

}

void ADBDPlayerControllerBase::GetLifetimeReplicatedProps(TArray<FLifetimeProperty>& OutLifetimeProps) const
{
	Super::GetLifetimeReplicatedProps(OutLifetimeProps);

	DOREPLIFETIME(ADBDPlayerControllerBase, _mainCharacter);
}

ADBDPlayerControllerBase::ADBDPlayerControllerBase()
{
	this->_EOSProductId = TEXT("");
}
